# Class InflaterInputStream

java.lang.Object
java.io.InputStream
com.codename1.io.gzip.FilterInputStream
com.codename1.io.gzip.InflaterInputStream

All Implemented Interfaces:
  `Closeable, AutoCloseable`

Direct Known Subclasses:
  `GZIPInputStream`

public class InflaterInputStream extends FilterInputStream

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected byte[]`
  `buf`
  `protected static final int`
  `DEFAULT_BUFSIZE`
  `protected final Inflater`
  `inflater`
  `protected boolean`
  `myinflater`

  ### Fields inherited from class FilterInputStream

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InflaterInputStream(InputStream in)`
  `InflaterInputStream(InputStream in, boolean nowrap)`
  `InflaterInputStream(InputStream in, Inflater inflater)`
  `InflaterInputStream(InputStream in, Inflater inflater, int size)`
  `InflaterInputStream(InputStream in, Inflater inflater, int size, boolean closeIn)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `available()`
  `void`
  `close()`
  `protected void`
  `fill()`
  `byte[]`
  `getAvailIn()`
  `Inflater`
  `getInflater()`
  `long`
  `getTotalIn()`
  `long`
  `getTotalOut()`
  `void`
  `mark(int readlimit)`
  `boolean`
  `markSupported()`
  `int`
  `read()`
  `int`
  `read(byte[] b, int off, int len)`
  `void`
  `readHeader()`
  `void`
  `reset()`
  `long`
  `skip(long n)`

  ### Methods inherited from class FilterInputStream

  `read`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_BUFSIZE

    protected static final int DEFAULT_BUFSIZE
    See Also:
      - Constant Field Values

  - ### inflater

    protected final Inflater inflater

  - ### buf

    protected byte[] buf

  - ### myinflater

    protected boolean myinflater

- ## Constructor Details

  - ### InflaterInputStream

    public InflaterInputStream(InputStream in) throws IOException
    Throws:
      `IOException`

  - ### InflaterInputStream

    public InflaterInputStream(InputStream in, boolean nowrap) throws IOException
    Throws:
      `IOException`

  - ### InflaterInputStream

    public InflaterInputStream(InputStream in, Inflater inflater) throws IOException
    Throws:
      `IOException`

  - ### InflaterInputStream

    public InflaterInputStream(InputStream in, Inflater inflater, int size) throws IOException
    Throws:
      `IOException`

  - ### InflaterInputStream

    public InflaterInputStream(InputStream in, Inflater inflater, int size, boolean closeIn) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### read

    public int read() throws IOException
    Overrides:
      `read` in class `FilterInputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b, int off, int len) throws IOException
    Overrides:
      `read` in class `FilterInputStream`
    Throws:
      `IOException`

  - ### available

    public int available() throws IOException
    Overrides:
      `available` in class `FilterInputStream`
    Throws:
      `IOException`

  - ### skip

    public long skip(long n) throws IOException
    Overrides:
      `skip` in class `FilterInputStream`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `FilterInputStream`
    Throws:
      `IOException`

  - ### fill

    protected void fill() throws IOException
    Throws:
      `IOException`

  - ### markSupported

    public boolean markSupported()
    Overrides:
      `markSupported` in class `FilterInputStream`

  - ### mark

    public void mark(int readlimit)
    Overrides:
      `mark` in class `FilterInputStream`

  - ### reset

    public void reset() throws IOException
    Overrides:
      `reset` in class `FilterInputStream`
    Throws:
      `IOException`

  - ### getTotalIn

    public long getTotalIn()

  - ### getTotalOut

    public long getTotalOut()

  - ### getAvailIn

    public byte[] getAvailIn()

  - ### readHeader

    public void readHeader() throws IOException
    Throws:
      `IOException`

  - ### getInflater

    public Inflater getInflater()